1 Reply Latest reply: Jan 31, 2013 8:26 AM by mende1
24modelt Level 1 (0 points)

I upgraded my system from OSX 10.5 to Snow Leopard 10.6.8 and now my email will not function I get a message that says I am running Mail 3.7 and it will not run on this platform.  What upgrade do i need to install to get my email up and running again?

iMac, Mac OS X (10.6.8)